﻿@model IEnumerable<EMartVG.Models.Categorias>

@{
    ViewBag.Title = "ListarMarcas";
}


<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaCategoria/" style="color:white">Categorías</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/ListarCategorias/">Listar Categorías</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaCategoria/">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaProducto">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/CreaCategoria">Agregar Categoría</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white;background-color:black" href="~/Admin/ListarCategorias/">Listar Categorías</a>
                    </li>

                </ul>
            </div>
            <div class="card-body">

                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="search" id="categoria" value="" placeholder="Ingrese nombre de categoria" />
                    </div>
                    <div class="col-3">
                        @Html.DropDownList("estadocategoria", null, "Todos los estados", htmlAttributes: new { @class = "form-control" })
                    </div>
                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaCategoria">
                </div>
            </div>
        </div>
    </div>
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script>
        $(window).on("load", function () {
            //obtiene campos para filtrado
            document.getElementById('categoria').value = (localStorage.getItem("categoriaLC"));
            document.getElementById('estadocategoria').value = (localStorage.getItem("estadoLC"));
        });

        $(window).on("load", function () {

            $.get('@Url.Action("ListaCategoriaPartial")' + '?nom=' + $('#categoria').val() + '&estado=' + $('#estadocategoria').val(), function (lista) {
            //localStorage.setItem("marca", $('#marca').val());
            $('#tablaCategoria').html(lista);
        });
    });

    $('#categoria').on("search keyup",function () {
        if (!$("#categoria").val()) {
            $.get('@Url.Action("ListaCategoriaPartial")' + '?nom=' + $('#categoria').val(), function (lista) {
                $('#tablaCategoria').html(lista);
        });
        }
    });

    $('#buscar').click(function () {
        $.get('@Url.Action("ListaCategoriaPartial")' + '?nom=' + $('#categoria').val() + '&estado=' + $('#estadocategoria').val(), function (lista) {
            localStorage.setItem("categoriaLC", $('#categoria').val());
            localStorage.setItem("estadoLC", $('#estadocategoria').val());
            $('#tablaCategoria').html(lista);
        });
    });
    </script>
}
